# UniTAP.dev.ports.dptx4xx

class DPTX4xx(UniTAP.dev.ports.dptx.DPTX):

Main class of `DPTX4xx` object. Inherited from class `DPTX`. Class describes capabilities of 400th (4XX) series of DP and USB-C devices in Source (TX - transmitter) role.

###### Attributes:

- __fec (FecTx): object of `FecTx`.
- __pg (DpMstPatternGenerator): object of `DpMstPatternGenerator`

DPTX4xx( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
fec: UniTAP.dev.ports.modules.fec.fec_tx.FecTx

Should be used to control FEC functionality on Source (TX - transmitter) side.

###### Returns:

> object of `FecTx` type.

pg: UniTAP.dev.ports.modules.vtg.pg.DpMstPatternGenerator

Should be used to control Pattern generator functionality on Source (TX - transmitter) side. `DpMstPatternGenerator` contain list of `DpPatternGenerator` objects. For access to element in list, use expression `pg.[index]`.

###### Returns:

> object of `DpMstPatternGenerator` type.

display_id: UniTAP.dev.ports.modules.edid.edid.DisplayIdSource

Should be used to control DisplayID functionality on Source (TX - transmitter) side.

###### Returns:

> object of `DisplayIdSource` type.

##### Inherited Members

UniTAP.dev.ports.dptx.DPTX
  dpcd
  link
  edid
  hdcp
  event_capturer
UniTAP.dev.ports.tx.TX
  ag